"use server";

import { auth } from "@/auth";
import { prisma } from "@/prisma/prismaClient";
import { isEmailVerified } from "@/util/isEmailVerified";

export const createGameSystem = async (name: string) => {
  const session = await auth();
  if (!session?.user?.id) return null;

  if (!isEmailVerified(session.user.id)) return null;

  const { id } = await prisma.gameSystem.create({
    data: {
      name,
      authorId: session.user.id,
    },
    select: {
      id: true,
    },
  });
  return id;
};
