[[

Tabletop Commander (TTC) is a rules-and-tools app for tabletop games - board, card, war, role-playing, you name it! It is the spiritual successor of Chapter Master by Emmaline Autumn, a Warhammer 40,000 9th Edition rules reference and game helper.

Emma decided to move on from Chapter Master as her interest in Warhammer 40k waned, replaced by a broader enthusiasm for the wargaming hobby. The release of the 10th edition highlighted Chapter Master's inflexibility and tediousness, prompting her to seek new avenues.

See, Emma had a vision that anyone could contribute to making rules corrections so that anyone could have all of the rules as they currently exist. This ballooned into the idea that you could have all the rules as they existed at *any point in time.* As soon as she realized that every code change either needed to keep that backward compatibility in mind or would cause the data to no longer be usable, she decided to drop Chapter Master entirely.

It didn't sit right with her. A big project no longer being worked on and a dead dream. Enter Tabletop Commander. Inspired by the flexibility of Battlescribe and disappointed in its features and lack of updates, Emma started designing a new system, from the ground up, that can be used to build almost anything.

]]  

[][][]

[[

### Game Systems

The basis of TTC is called a Game System. This package
includes everything needed for a game system, including schemas,
publications, and tools. Players can follow a Game System to get
consistently updated content publications, or fork it to
maintain it themselves.

**But who owns a Game System?**

The neat part is that no one does! You can contribute to any
Game System with updates to publications and schemas through a
community review system. Those with the high enough scores
contribute more towards a total approval score which is used to
determine whether the Game System. The more your contributions
are approved, the higher your score becomes, the more weight
your approval and contributions carry.

If your score is high enough, and a contribution request has
enough approvals, you can even be the one to merge it in!

[~~cta Learn More](/help/Game%20Systems.md)

]]

[[

### Schemas

Those who have studied English or databases, you would know that
a schema is a structural pattern. TTC aims to provide a simple,
user-edited and maintained schema system for *any* game.

If that flew over your head, don't worry. Others can share
the schemas they've made with everyone, which come as part
of a Game System package that you can fork or follow to get both
content and schemas ready to use.

**For the techies:**

The schema system makes use of a powerful custom query language
(ttcQuery) I designed. By writing queries directly into the
schema, we can reduce the amount of re-written content, while
maintaining the presence of data anywhere we need it.

[~~cta Learn More](/help/Schemas.md)

]]

[[

### Publications

Publications are the actual content of the rules. They
don't just contain the content, but also the style in which
the content is shown.

Content can include text, images, and even video (through
YouTube links or external embeds). Content can link to other
parts of the publication through context based pop-overs.

**For the techies (again):**

Publications use an enhanced markdown syntax (ttcMD) that
implements ttcQuery, and adds a bit of custom syntax for things
like pop-overs and styling hints for rendering.

Though it uses markdown as its base syntax, ttcMD could more accurately be called a templating language as it contains a lot of custom elements to handle different layouts

[~~cta Learn More](/help/Publications.md)

]]

[[2

Want to keep up with TTC? Join us over at the CyborgGrizzly Games Discord server! Come discuss tabletop gaming, stay updated on the latest developments with Tabletop Commander, and collaborate with fellow gamers to create and update game systems. It's the perfect spot to connect with like-minded enthusiasts and be part of shaping the future of tabletop gaming. Don't miss out – hop on the Discord server today!

Disclaimer: *I'm so sorry, I had ChatGPT write that last paragraph. I tried to save it, but it's just so... corporate*

[~~cta Join the Discord](https://discord.gg/bePt7MQHQA)
  
]]
/[]

