const { SecretClient } = require("../lib/secret/init");
const { writeFile } = require("fs/promises");

const requiredKeys = [
  "discord_client_id",
  "discord_client_secret",
  "ttc:database_url",
];

const secretClient = SecretClient();

async function buildEnv() {
  secretClient.fetchToken();
  let secrets = "";
  for (const key of requiredKeys) {
    const value = await secretClient.fetchSecret(key);
    secrets += `${key.replace("ttc:", "").toUpperCase()}=${value}\n`;
  }
  await writeFile(".env", secrets, "utf-8");
}

buildEnv();
