import type { Config } from "tailwindcss";

const config: Config = {
  content: [
    "./pages/**/*.{js,ts,jsx,tsx,mdx}",
    "./components/**/*.{js,ts,jsx,tsx,mdx}",
    "./lib/**/*.{js,ts,jsx,tsx,mdx}",
    "./app/**/*.{js,ts,jsx,tsx,mdx}",
  ],
  theme: {
    extend: {
      backgroundImage: {
        "gradient-radial": "radial-gradient(var(--tw-gradient-stops))",
        "gradient-conic":
          "conic-gradient(from 180deg at 50% 50%, var(--tw-gradient-stops))",
      },
      colors: {
        primary: {
          "100": "#36005c",
          "200": "#4d1f6d",
          "300": "#633a7f",
          "400": "#795491",
          "500": "#8f6ea2",
          "600": "#a58ab5",
        },
        dark: {
          "100": "#121212",
          "200": "#282828",
          "300": "#3f3f3f",
          "400": "#575757",
          "500": "#717171",
          "600": "#8b8b8b",
        },
        mixed: {
          "100": "#1b1220",
          "200": "#302735",
          "300": "#463e4b",
          "400": "#5e5762",
          "500": "#77717a",
          "600": "#918b93",
        },
      },
      gridTemplateColumns: {
        dynamic: "repeat(var(--grid-cols), minmax(0,1fr))",
      },
      height: {
        variable: "var(--v-height)",
      },
      gridColumn: {
        variable: "span var(--v-span) / span var(--v-span)",
      },
    },
  },
  plugins: [require("@tailwindcss/container-queries")],
};
export default config;
